command: docker secret rm
aliases: remove
short: Remove one or more secrets
long: |-
  Removes the specified secrets from the swarm. This command has to be run
  targeting a manager node.

  For detailed information about using secrets, refer to [manage sensitive data with Docker secrets](https://docs.docker.com/engine/swarm/secrets/).
usage: docker secret rm SECRET [SECRET...]
pname: docker secret
plink: docker_secret.yaml
examples: |-
  This example removes a secret:

  ```bash
  $ docker secret rm secret.json
  sapth4csdo5b6wz2p5uimh5xg
  ```

  > **Warning**: Unlike `docker rm`, this command does not ask for confirmation
  > before removing a secret.
deprecated: false
min_api_version: "1.25"
experimental: false
experimentalcli: false
kubernetes: false
swarm: true

